var p = Object.defineProperty;
var c = (i, t, e) => t in i ? p(i, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : i[t] = e;
var l = (i, t, e) => (c(i, typeof t != "symbol" ? t + "" : t, e), e);
import { M as d, _ as m, u, r as h, dW as C, v as f, s as w, gJ as y } from "./56c67d3b.js";
import "react";
import "react-dom";
const g = {
  layout: f([]),
  items: w(y)
}, M = new d(g, (i, t) => ({
  ...i,
  dispatch: t
})).build();
class F extends M {
  constructor() {
    super(...arguments);
    l(this, "IsSimpleFlowContainer", !0);
  }
  getLayoutMap() {
    const e = this.children.layout.getView();
    return m.keyBy(e, "i");
  }
  getCompTree() {
    const e = this.children.items.children, r = this.children.layout.getView();
    return {
      ...u(e),
      itemOrder: r.map((n) => n.i)
    };
  }
  findContainer(e) {
    var n, o;
    const r = this.children.items.children;
    if (r.hasOwnProperty(e))
      return this;
    for (const s of Object.values(r))
      if (h(s.children.comp)) {
        const a = (o = (n = s.children.comp) == null ? void 0 : n.findContainer) == null ? void 0 : o.call(n, e);
        if (a)
          return a;
      }
  }
  realSimpleContainer(e) {
    const r = this.children.items.children;
    if (m.isNil(e) || r.hasOwnProperty(e))
      return this;
  }
  getPasteValue() {
    return C.warn("paste method not implemented."), {};
  }
}
export {
  F as SimpleFlowContainerComp
};
